/*
	Program Hello World.
*/

#include <windows.h>

#define IDM_POZDRAV 100

const char className[]="HelloWorldClass";

LRESULT CALLBACK MainWindowProc(HWND window,
	                            UINT msg,
								WPARAM wParam,
								LPARAM lParam)
{
	switch (msg)
	{
		case WM_COMMAND:
			if (LOWORD(wParam)==IDM_POZDRAV)
			   MessageBox(window,"Hello World","Pozdrav",
				          MB_OK | MB_ICONINFORMATION);
			break;
		case WM_DESTROY:
			PostQuitMessage(0);
			break;
		default:
			return DefWindowProc(window,msg,wParam,lParam);
	};
	
	return 0;
}

int APIENTRY WinMain(HINSTANCE hInstance,
	                 HINSTANCE hPrevInstance,
				     LPSTR lpszCmdLine,
				     int nCmdShow)
{
	WNDCLASS windowClass;
	MSG msg;
	HWND window, button;
	HFONT font;

	windowClass.style=0;
	windowClass.lpfnWndProc=MainWindowProc;
	windowClass.cbClsExtra=0;
	windowClass.cbWndExtra=0;
	windowClass.hIcon=LoadIcon(NULL,IDI_APPLICATION);
	windowClass.hCursor=LoadCursor(NULL,IDC_ARROW);
	windowClass.hbrBackground=(HBRUSH) GetStockObject(WHITE_BRUSH);
	windowClass.lpszMenuName=NULL;
	windowClass.lpszClassName=className;
	windowClass.hInstance=hInstance;

	if (!RegisterClass(&windowClass))
		return 255;

	window=CreateWindow(className,
		                "Hello World",
						WS_OVERLAPPED | WS_SYSMENU | WS_MINIMIZEBOX,
						CW_USEDEFAULT,
						CW_USEDEFAULT,
						300,
						120,
						HWND_DESKTOP,
						NULL,
						hInstance,
						NULL);
	font=CreateFont(10,0,0,0,FW_DONTCARE,0,0,0,ANSI_CHARSET,
		OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,
		DEFAULT_PITCH,"MS Sans Serif");
	button = CreateWindow("BUTTON", "Pozdrav", WS_VISIBLE | WS_CHILD | BS_PUSHBUTTON,
		100, 25, 100, 30, window, (HMENU)IDM_POZDRAV, hInstance, NULL);
	SendMessage(button,WM_SETFONT,(WPARAM) font,0);

	ShowWindow(window,nCmdShow);
	UpdateWindow(window);

	while (GetMessage(&msg,NULL,0,0))
	{
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	return msg.wParam;
}	